### org.jfree.layouting.renderer

# Class FlowContext

- `java.lang.Object`
- - `org.jfree.layouting.renderer.FlowContext`

`public final class FlowContext`
`extends java.lang.Object`

Creation-Date: 11.11.2006, 15:47:36

Author:
  Thomas Morgner

  ## Nested Class Summary

  `static class`

  `FlowContext.FlowContextState`

  ## Constructor Summary

  `FlowContext(RenderableTextFactory textFactory, NormalFlowRenderBox currentFlow)`

  ## Method Summary

  `NormalFlowRenderBox`

  `getCurrentFlow()`

  `RenderableTextFactory`

  `getTextFactory()`

  `FlowContext.FlowContextState`

  `saveState()`

## Constructor Details

### FlowContext

    public FlowContext(RenderableTextFactory textFactory,
                       NormalFlowRenderBox currentFlow)

## Method Details

### getCurrentFlow

    public NormalFlowRenderBox getCurrentFlow()

### getTextFactory

    public RenderableTextFactory getTextFactory()

### saveState

    public FlowContext.FlowContextState saveState()
                throws StateException